AnyEvent::XMPP::Ext::MUC::User(3)

NAME
AnyEvent::XMPP::Ext::MUC::User - User class

SYNOPSIS

DESCRIPTION
This module represents a user (occupant) handle for a MUC. This class is derived from AnyEvent::XMPP::Presence as a user has also a presence within a room.

METHODS

new (%args)
nick
    The nickname of the MUC user.

affiliation
    The affiliation of the user.

role
    The role of the user.

room
    The AnyEvent::XMPP::Ext::MUD::Room this user is in.

in_room_jid
    The room local JID of the user.

real_jid
    The real JID of the user, this might be undef if it is an anonymous room.

make_message (%args)
    Returns a AnyEvent::XMPP::Ext::MUC::Message object with the to field set to this presence full JID.

    %args are further arguments to the constructor of the message.

did_create_room
    This method returns true if the user created a room.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.